TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.traceLearn.getTraceLearnParentChildDetail({
studentId: process.env.TX_AGENT_KIT_STUDENT_ID ?? "studentId",
}){
"child": {
"id": "<string>",
"displayName": "<string>",
"avatarId": "<string>",
"targetSchool": "<string>",
"credential": {
"username": "<string>",
"pinSet": true,
"credentialKind": "student_username_pin",
"lastRotatedAt": "<string>"
},
"link": {
"id": "<string>",
"parentId": "<string>"
},
"overallScore": 50,
"homeworkDueCount": 123,
"lastActiveAt": "<string>",
"streakDays": 123,
"predictedPassProbability": 0.5
},
"subjects": [
{
"name": "<string>",
"icon": "<string>",
"score": 50,
"questionsCompleted": 123,
"totalQuestions": 123
}
],
"topicMastery": [
{
"id": "<string>",
"name": "<string>",
"score": 50
}
],
"outcomeTrend": [
{
"capturedAt": "<string>",
"mockExamScore": 50,
"predictedPassProbability": 0.5,
"topicsMastered": 123,
"timeStudiedMinutes": 123
}
],
"assignments": [
{
"id": "<string>",
"title": "<string>",
"subjectName": "<string>",
"questionCount": 123,
"dueAt": "<string>",
"dueLabel": "<string>",
"timeLimitMinutes": 123,
"createdAt": "<string>",
"runtimeKind": "diagnostic",
"assignedByName": "<string>",
"canDelete": true,
"assignedStudentIds": [
"<string>"
],
"resultSummary": {
"assignedCount": 123,
"completedCount": 123,
"completionRatePercent": 50,
"classAveragePercent": 50,
"perStudent": [
{
"studentId": "<string>",
"scorePercent": 50
}
]
}
}
],
"projectionFreshness": {
"asOf": "<string>",
"stale": true
},
"recentLearning": {
"windowStartedAt": "<string>",
"lessonsCompleted": 1,
"recentLessons": [
{
"id": "<string>",
"title": "<string>",
"subjectId": "<string>",
"completedAt": "<string>"
}
]
},
"parentTrial": {
"startedAt": "<string>",
"endsAt": "<string>"
}
}Smart Cub Learning
Parent child detail
GET
/
v1
/
learning
/
parent
/
children
/
{studentId}
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'
const client = new TxAgentKitClient({
token: process.env.TX_AGENT_KIT_TOKEN
})
const response = await client.traceLearn.getTraceLearnParentChildDetail({
studentId: process.env.TX_AGENT_KIT_STUDENT_ID ?? "studentId",
}){
"child": {
"id": "<string>",
"displayName": "<string>",
"avatarId": "<string>",
"targetSchool": "<string>",
"credential": {
"username": "<string>",
"pinSet": true,
"credentialKind": "student_username_pin",
"lastRotatedAt": "<string>"
},
"link": {
"id": "<string>",
"parentId": "<string>"
},
"overallScore": 50,
"homeworkDueCount": 123,
"lastActiveAt": "<string>",
"streakDays": 123,
"predictedPassProbability": 0.5
},
"subjects": [
{
"name": "<string>",
"icon": "<string>",
"score": 50,
"questionsCompleted": 123,
"totalQuestions": 123
}
],
"topicMastery": [
{
"id": "<string>",
"name": "<string>",
"score": 50
}
],
"outcomeTrend": [
{
"capturedAt": "<string>",
"mockExamScore": 50,
"predictedPassProbability": 0.5,
"topicsMastered": 123,
"timeStudiedMinutes": 123
}
],
"assignments": [
{
"id": "<string>",
"title": "<string>",
"subjectName": "<string>",
"questionCount": 123,
"dueAt": "<string>",
"dueLabel": "<string>",
"timeLimitMinutes": 123,
"createdAt": "<string>",
"runtimeKind": "diagnostic",
"assignedByName": "<string>",
"canDelete": true,
"assignedStudentIds": [
"<string>"
],
"resultSummary": {
"assignedCount": 123,
"completedCount": 123,
"completionRatePercent": 50,
"classAveragePercent": 50,
"perStudent": [
{
"studentId": "<string>",
"scorePercent": 50
}
]
}
}
],
"projectionFreshness": {
"asOf": "<string>",
"stale": true
},
"recentLearning": {
"windowStartedAt": "<string>",
"lessonsCompleted": 1,
"recentLessons": [
{
"id": "<string>",
"title": "<string>",
"subjectId": "<string>",
"completedAt": "<string>"
}
]
},
"parentTrial": {
"startedAt": "<string>",
"endsAt": "<string>"
}
}Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I